- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Solvers::SAT::ISAT::ISATClause Class Reference

`#include <ISATClause.h>`

Collaboration diagram for Mers::Solvers::SAT::ISAT::ISATClause:

[legend]
List of all members.

## Public Types
enum | ConsistencyType { CONSISTENT, INCONSISTENT, INDETERMINATE, CONSISTENT, INCONSISTENT, INDETERMINATE }
## Public Member Functions
| ISATClause ()
| ISATClause (ISATClause const &other)
virtual | ~ISATClause ()
bool | is_inconsistent () const
bool | is_consistent () const
ConsistencyType | get_consistency () const
bool | is_unit_clause () const
bool | was_unit_resolved () const
ISATLiteral const * | get_consequent_literal_p () const
ISATLiteral const * | get_unresolved_literal_p () const
ISATLiteral const * | get_satisfying_literal_p () const
unsigned int | get_numb_of_literals () const
bool | is_active () const
bool | operator== (ISATClause const &other) const
bool | operator!= (ISATClause const &other) const
ISATClause const & | operator+= (ISATClause const &other)
## Protected Member Functions
void | set_unit_resolved (bool boolean_value)
void | increment_numb_of_unresolved_literals ()
void | decrement_numb_of_unresolved_literals ()
void | set_satisfying_literal (ISATLiteral const *literal_p)
void | remove_from_satisfying_literals (ISATLiteral const *literal_p)
void | reset_status ()
bool | add_literal (ISATLiteral *new_literal_p)
void | set_active (bool boolean_value)
## Protected Attributes
ISATLiteral const * | satisfying_literal_p
unsigned int | numb_of_unresolved_literals
bool | unit_resolved
bool | active
## Friends
class | ISATTheory
std::ostream & | operator<< (std::ostream &stream, ISATClause const &clause)
std::ostream & | operator<< (std::ostream &stream, ISATClause::ConsistencyType const &clause_consistency)

## Detailed Description

Circularly linked list of literal pointers. It follows the C++ Standard Template Library specifications. It is in charge of deallocating the literals.

Author:
  Seung H. Chung

Definition at line 77 of file ISATClause.h.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Solvers/SAT/ISAT/ISATClause.h
- /Users/fpy/titan-1-5-MBARI/Mers/Solvers/SAT/ISAT/ISATClause.cpp